public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] dev/alexxy:master commit in: app-text/acroread/files/, app-text/acroread/
@ 2012-05-30  7:46 Alexey Shvetsov
  0 siblings, 0 replies; only message in thread
From: Alexey Shvetsov @ 2012-05-30  7:46 UTC (permalink / raw
  To: gentoo-commits

commit:     fd1dd2f3c5bbc6cd48688a68e1db97de494e1bf6
Author:     Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
AuthorDate: Wed May 30 07:45:16 2012 +0000
Commit:     Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
CommitDate: Wed May 30 07:45:16 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=dev/alexxy.git;a=commit;h=fd1dd2f3

[app-text/acroread] Add back old version. Seems its last one that works with animated pdf

(Portage version: 2.2.0_alpha108/git/Linux x86_64, RepoMan options: --force, unsigned Manifest commit)

---
 app-text/acroread/Manifest              |    1 +
 app-text/acroread/acroread-9.4.1.ebuild |  254 +++++++++++++++++++++++++++++++
 app-text/acroread/files/gentoo_config   |   10 ++
 app-text/acroread/metadata.xml          |    5 +
 4 files changed, 270 insertions(+), 0 deletions(-)

diff --git a/app-text/acroread/Manifest b/app-text/acroread/Manifest
new file mode 100644
index 0000000..3c99f3c
--- /dev/null
+++ b/app-text/acroread/Manifest
@@ -0,0 +1 @@
+DIST AdbeRdr9.4.1-1_i486linux_enu.tar.bz2 60172257 SHA256 6bf9bf427462a7a9ba7e7115cffe659bccb70758428ab32571e6ed78333b0b95 SHA512 aaca5eaaed9944be6b203fdd5cdef508032f9d21b5916e6f26d94e3964b3dcdda966bef2fa0b15a9ff3f0b3a6e4a1c1fd565eff600015c403cde5956b4dd3921 WHIRLPOOL e7976999cb427033114f8c6ce04d2c30db00f096889fd9e900801d7b9bed4894e0a0c60f5fe4cb5067577f834aedb8ad623d3eec5200ed1856d6ed3788719d2a

diff --git a/app-text/acroread/acroread-9.4.1.ebuild b/app-text/acroread/acroread-9.4.1.ebuild
new file mode 100644
index 0000000..a25335e
--- /dev/null
+++ b/app-text/acroread/acroread-9.4.1.ebuild
@@ -0,0 +1,254 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-text/acroread/acroread-9.4.2.ebuild,v 1.6 2011/06/25 07:40:18 zmedico Exp $
+
+EAPI="1"
+
+inherit eutils gnome2-utils nsplugins
+
+DESCRIPTION="Adobe's PDF reader"
+HOMEPAGE="http://www.adobe.com/products/reader/"
+IUSE="cups ldap minimal nsplugin"
+
+SRC_HEAD="http://ardownload.adobe.com/pub/adobe/reader/unix/9.x/${PV}"
+SRC_FOOT=".tar.bz2"
+
+# languages not available yet: de:deu fr:fra it:ita es:esp ja:jpn pt:ptb sv:sve zh_CN:chs zh_TW:cht fi:suo nb:nor nl:nld ko:kor da:dan
+LINGUA_LIST="en:enu"
+DEFAULT_URI="${SRC_HEAD}/enu/AdbeRdr${PV}-1_i486linux_enu${SRC_FOOT}"
+for ll in ${LINGUA_LIST} ; do
+	iuse_l="linguas_${ll/:*}"
+	src_l=${ll/*:}
+	IUSE="${IUSE} ${iuse_l}"
+	DEFAULT_URI="!${iuse_l}? ( ${DEFAULT_URI} )"
+	SRC_URI="${SRC_URI}
+		${iuse_l}? ( ${SRC_HEAD}/${src_l}/AdbeRdr${PV}-1_i486linux_${src_l}${SRC_FOOT} )"
+done
+SRC_URI="${SRC_URI}
+	${DEFAULT_URI}"
+
+LICENSE="Adobe"
+SLOT="0"
+KEYWORDS="-* amd64 x86"
+RESTRICT="strip mirror"
+
+# mozilla-firefox-bin won't work because it doesn't have gtkembedmoz.so
+RDEPEND="media-libs/fontconfig
+	x86? ( =dev-libs/openssl-0.9.8* )
+	cups? ( net-print/cups )
+	x86? ( x11-libs/gtk+:2
+			ldap? ( net-nds/openldap )
+			!minimal? ( || ( net-libs/xulrunner
+						www-client/firefox
+						www-client/seamonkey ) ) )
+	amd64? ( app-emulation/emul-linux-x86-gtklibs )"
+
+QA_EXECSTACK="opt/Adobe/Reader9/Reader/intellinux/bin/acroread
+	opt/Adobe/Reader9/Reader/intellinux/lib/libauthplay.so.0.0.0
+	opt/Adobe/Reader9/Reader/intellinux/lib/libsccore.so
+	opt/Adobe/Reader9/Reader/intellinux/lib/libcrypto.so.0.9.8
+	opt/Adobe/Reader9/Reader/intellinux/plug_ins/PPKLite.api"
+
+QA_DT_HASH="opt/Adobe/Reader9/Reader/intellinux/plug_ins3d/.*.x3d
+	opt/Adobe/Reader9/Reader/intellinux/lib/lib.*
+	opt/Adobe/Reader9/Reader/intellinux/bin/SynchronizerApp-binary
+	opt/Adobe/Reader9/Reader/intellinux/bin/acroread
+	opt/Adobe/Reader9/Reader/intellinux/bin/xdg-user-dirs-update
+	opt/Adobe/Reader9/Reader/intellinux/SPPlugins/ADMPlugin.apl
+	opt/Adobe/Reader9/Reader/intellinux/plug_ins/AcroForm/PMP/.*.pmp
+	opt/Adobe/Reader9/Reader/intellinux/plug_ins/Multimedia/MPP/.*.mpp
+	opt/Adobe/Reader9/Reader/intellinux/plug_ins/.*.api
+	opt/Adobe/Reader9/Reader/intellinux/sidecars/.*.DEU
+	opt/Adobe/Reader9/Browser/intellinux/nppdf.so
+	opt/netscape/plugins/nppdf.so"
+
+INSTALLDIR=/opt
+
+S="${WORKDIR}/AdobeReader"
+
+# Actually, ahv segfaults when run standalone so presumably
+# it isn't intended for direct use - so the only launcher is
+# acroread after all.
+LAUNCHERS="Adobe/Reader9/bin/acroread"
+#	Adobe/HelpViewer/1.0/intellinux/bin/ahv"
+
+pkg_setup() {
+	# x86 binary package, ABI=x86
+	has_multilib_profile && ABI="x86"
+}
+
+# Determine lingua from filename
+acroread_get_ll() {
+	local f_src_l ll lingua src_l
+	f_src_l=${1/${SRC_FOOT}}
+	f_src_l=${f_src_l/*_}
+	for ll in ${LINGUA_LIST} ; do
+		lingua=${ll/:*}
+		src_l=${ll/*:}
+		if [[ ${src_l} == ${f_src_l} ]] ; then
+			echo ${lingua}
+			return
+		fi
+	done
+	die "Failed to match file $1 to a LINGUA; please report."
+}
+
+src_unpack() {
+	local ll linguas fl launcher
+	# Unpack all into the same place; overwrite common files.
+	fl=""
+	for pkg in ${A} ; do
+		cd "${WORKDIR}"
+		unpack ${pkg}
+		cd "${S}"
+		tar xf ILINXR.TAR || die "Failed to unpack ILINXR.TAR."
+		tar xf COMMON.TAR || die "Failed to unpack COMMON.TAR."
+		ll=$(acroread_get_ll ${pkg})
+		for launcher in ${LAUNCHERS} ; do
+			mv ${launcher} ${launcher}.${ll}
+		done
+		if [[ -z ${fl} ]] ; then
+			fl=${ll}
+			linguas="${ll}"
+		else
+			linguas="${linguas} ${ll}"
+		fi
+	done
+	if [[ ${linguas} == ${fl} ]] ; then
+		# Only one lingua selected - skip building the wrappers
+		for launcher in ${LAUNCHERS} ; do
+			mv ${launcher}.${fl} ${launcher} ||
+				die "Failed to put ${launcher}.${fl} back to ${launcher}; please report."
+		done
+	else
+		# Build wrappers.  Launch the acroread for the environment variable
+		# LANG (matched with a trailing * so that for example 'de_DE' matches
+		# 'de', 'en_GB' matches 'en' etc).
+		#
+		# HelpViewer is new - We don't know if Adobe are likely to
+		# internationalize it or not.
+		for launcher in ${LAUNCHERS} ; do
+			cat > ${launcher} <<-EOF
+				#!/bin/bash
+				# Copyright 1999-2009 Gentoo Foundation
+				# Distributed under the terms of the GNU General Public License v2
+				#
+				# Automatically generated by ${CATEGORY}/${PF}
+
+				# Exec the acroread script for the language chosen in
+				# LC_ALL/LC_MESSAGES/LANG (first found takes precedence, as in glibc)
+				L=\${LC_ALL}
+				L=\${L:-\${LC_MESSAGES}}
+				L=\${L:-\${LANG}}
+				case \${L} in
+			EOF
+			for ll in ${linguas} ; do
+				echo "${ll}*) exec ${INSTALLDIR}/${launcher}.${ll} \"\$@\";;" >> ${launcher}
+			done
+			# default to English (in particular for LANG=C)
+			cat >> ${launcher} <<-EOF
+				*) exec ${INSTALLDIR}/${launcher}.${fl} "\$@";;
+				esac
+			EOF
+			chmod 755 ${launcher}
+		done
+	fi
+
+	# remove cruft
+	rm "${S}"/Adobe/Reader9/bin/UNINSTALL
+	rm "${S}"/Adobe/Reader9/Browser/install_browser_plugin
+	rm "${S}"/Adobe/Reader9/Resource/Support/vnd.*.desktop
+
+	# replace some configuration sections
+	for binfile in "${S}"/Adobe/Reader9/bin/* ; do
+		sed -i -e '/Font-config/,+9d' \
+			-e "/acrogre.conf/r ${FILESDIR}/gentoo_config" -e //N \
+			"${binfile}" || die "sed configuration settings failed."
+	done
+}
+
+src_install() {
+	# Install desktop files
+	domenu Adobe/Reader9/Resource/Support/AdobeReader.desktop || die "Installing desktop files failed."
+
+	# Install commonly used icon sizes
+	for res in 16x16 22x22 32x32 48x48 64x64 128x128 ; do
+		insinto /usr/share/icons/hicolor/${res}/apps
+		doins Adobe/Reader9/Resource/Icons/${res}/* || die "Installing icons failed."
+	done
+
+	dodir /opt || die "Creating directory failed."
+	chown -R --dereference -L root:0 Adobe
+	cp -dpR Adobe "${D}"opt/
+
+	doman Adobe/Reader9/Resource/Shell/acroread.1.gz || die "Installing manpage failed."
+
+	if use nsplugin ; then
+		exeinto /opt/netscape/plugins
+		doexe Adobe/Reader9/Browser/intellinux/nppdf.so || die "Installing the browser plugin failed."
+		inst_plugin /opt/netscape/plugins/nppdf.so
+	fi
+
+	dodir /opt/bin || die "Creating directory failed."
+	for launcher in ${LAUNCHERS} ; do
+		dosym /opt/${launcher} /opt/bin/${launcher/*bin\/} || die "Installing launcher symlinks failed."
+	done
+
+	# We need to set a MOZILLA_COMP_PATH for seamonkey and firefox since
+	# they don't install a configuration file for libgtkembedmoz.so
+	# detection in /etc/gre.d/ like xulrunner does.
+	if ! use minimal ; then
+		if use x86 ; then
+			for lib in /opt/seamonkey /usr/lib/seamonkey /usr/lib/mozilla-firefox ; do
+				if [[ -f ${lib}/libgtkembedmoz.so ]] ; then
+					echo "MOZILLA_COMP_PATH=${lib}" >> "${D}"${INSTALLDIR}/Adobe/Reader9/Reader/GlobalPrefs/mozilla_config
+					elog "Adobe Reader depends on libgtkembedmoz.so, which I've found on"
+					elog "your system in ${lib}, and configured in ${INSTALLDIR}/Adobe/Reader9/Reader/GlobalPrefs/mozilla_config."
+					break # don't search any more libraries
+				fi
+			done
+		fi
+	fi
+}
+
+pkg_preinst() {
+	gnome2_icon_savelist
+}
+
+pkg_postinst () {
+	local ll lc
+	lc=0
+	for ll in ${LINGUA_LIST} ; do
+		use linguas_${ll/:*} && (( lc = ${lc} + 1 ))
+	done
+	if [[ ${lc} > 1 ]] ; then
+		echo
+		elog "Multiple languages have been installed, selected via a wrapper script."
+		elog "The language is selected according to the LANG environment variable"
+		elog "(defaulting to English if LANG is not set, or no matching language"
+		elog "version is installed). Users may need to remove their preferences in"
+		elog "~/.adobe to switch languages."
+		echo
+	fi
+
+	if use minimal ; then
+		echo
+		ewarn "If you want html support and/or view the Adobe Reader help you have"
+		ewarn "to re-emerge acroread with USE=\"-minimal\"."
+		echo
+	fi
+
+	if use nsplugin ; then
+		echo
+		elog "If you're running a 64bit browser you may also want to install"
+		elog "\"www-plugins/nspluginwrapper\" to be able to use the Adobe Reader"
+		elog "browser plugin."
+		echo
+	fi
+
+	gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+	gnome2_icon_cache_update
+}

diff --git a/app-text/acroread/files/gentoo_config b/app-text/acroread/files/gentoo_config
new file mode 100644
index 0000000..1ca8729
--- /dev/null
+++ b/app-text/acroread/files/gentoo_config
@@ -0,0 +1,10 @@
+# Enable this if you want Adobe Reader to cache Font-config fonts
+ACRO_ENABLE_FONT_CONFIG=1
+export ACRO_ENABLE_FONT_CONFIG
+
+# Enable this if you want to set the MOZILLA_COMP_PATH globally (for all the users)
+if [ -f "$ACRO_INSTALL_DIR/GlobalPrefs/mozilla_config" ]; then
+    . "$ACRO_INSTALL_DIR/GlobalPrefs/mozilla_config"
+   export MOZILLA_COMP_PATH
+fi
+

diff --git a/app-text/acroread/metadata.xml b/app-text/acroread/metadata.xml
new file mode 100644
index 0000000..1fa0ca5
--- /dev/null
+++ b/app-text/acroread/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>printing</herd>
+</pkgmetadata>



^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2012-05-30  7:47 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2012-05-30  7:46 [gentoo-commits] dev/alexxy:master commit in: app-text/acroread/files/, app-text/acroread/ Alexey Shvetsov

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox